version: '3'
networks:
  app:
    driver: bridge

services:
  db:
    container_name: postgres
    restart: always
    image: postgres
    ports:
      - "5432:5432"
    environment:
      POSTGRES_HOST_AUTH_METHOD: trust
    networks:
       - app
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U postgres"]
      interval: 10s
      timeout: 5s
      retries: 5
  web:
    container_name: app
    restart: always
    build: .
    #entrypoint: entrypoint.sh
    #command: chmod +x docker-entrypoint.sh
    # command:  python manage.py runserver 0.0.0.0:8000
    #command: python manage.py makemigrations
    #command: python manage.py migrate
    depends_on:
       db:
        condition: service_healthy
    links:
      - db:db
    expose:
      - "8000"    
    environment:
      DEBUG: 'true'
    volumes:
    - ./june_blog
    networks:
       - app
  nginx:
    container_name: nginx
    restart: always
    image: nginx:latest
    ports:
      - "8000:8000"
    networks:
       - app
    volumes:
      - ./config/nginx/django.conf:/etc/nginx/conf.d/default.conf
